package com.yizhi.album.application.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class AlbumDetailVo {

    @ApiModelProperty(value = "专辑id")
    private Long id;

    @ApiModelProperty(value = "专辑名称")
    private String name;

    @ApiModelProperty(value = "专辑封面图")
    private String image;

    @ApiModelProperty(value = "分类id")
    private Long classifyId;

    @ApiModelProperty(value = "学习时长")
    private Long duration;

    @ApiModelProperty(value = "学习数")
    private Integer studyNum;

    @ApiModelProperty(value = "最新解锁时间")
    private Date unLockTime;

    @ApiModelProperty("完成状态 0:连载中，1已完结")
    private Integer overed;
    
    @ApiModelProperty(value = "完成百分比")
    private Integer percent;
    
    @ApiModelProperty(value = "专辑介绍")
    private String description;

    private String tags;
    
    @ApiModelProperty(value = "评论设置0上架评论及评分1关闭评论")
    private Integer commentEnable;
    
    @ApiModelProperty(value = "专辑资料 0显示 1不显示 默认显示")
	private Integer documentEnable;
    
    @ApiModelProperty(value = "显示模式 0全部显示 1只显示已解锁课程 默认全部显示")
	private Integer display;
    
    @ApiModelProperty(value = "专辑是否订阅 0未订阅 1已订阅")
	private Integer subscribe;
    
    @ApiModelProperty(value = "订阅数")
    private Integer subscribeNum;

    @ApiModelProperty(value = "已完结状态下；课程数量")
    private Integer courseNum;
}
