package com.yizhi.album.application.vo;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "专辑内容--主题vo")
public class AlbumThemeVo {

    @ApiModelProperty(value = "主键id")
    private Long id;
    
    @ApiModelProperty(value = "主题名称")
    private String name;
    
    @ApiModelProperty(value = "排序")
    private Integer sort;
    
    @ApiModelProperty(value = "课程更新时间")
    private Date updateTime;
    
    @ApiModelProperty(value = "课程更新标识")
	private Integer isNew;
    
    @ApiModelProperty(value = "活动集合")
    private List<AlbumActivityVo> list = new ArrayList<AlbumActivityVo>();
}
