package com.yizhi.album.application.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Data
public class ApiAlbumClassifyVo {

    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "父id ")
    private Long parentId;

    @ApiModelProperty(value = "层级")
    private Integer layer;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "编码")
    private String code;
    
    @ApiModelProperty(value = "备注")
    private String description;

    @ApiModelProperty(value = "状态")
    private Integer status;

    private Long createById;

    private String createByName;

    private Date createTime;

    private Long updateById;

    private String updateByName;

    private Date updateTime;

    private Long orgId;

    private Long companyId;

    private Long siteId;

    @ApiModelProperty(value = "顶层节点id")
    private Long rootId;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @ApiModelProperty(value = "分类路径")
    private String path;
    
    @ApiModelProperty(value = "上一个主键ID")
    private Long moveUpId = -1L;
    
    @ApiModelProperty(value = "下一个主键ID")
    private Long moveDownId = -1L;

    private List<ApiAlbumClassifyVo> children = new ArrayList<ApiAlbumClassifyVo>();

}
