package com.yizhi.album.application.vo;

import java.util.Date;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Api(
        tags = {"ApiListAlbumVo"},
        description = "课程接对象"
)
@Data
public class ApiListAlbumVo {

    @ApiModelProperty(value = "专辑id")
    private Long id;

    @ApiModelProperty(value = "专辑名称")
    private String name;

    @ApiModelProperty(value = "专辑封面图")
    private String image;

    @ApiModelProperty(value = "分类id")
    private Long classifyId;

    @ApiModelProperty(value = "学习时长")
    private Long duration;

    @ApiModelProperty(value = "学习数")
    private Integer studyNum;

    @ApiModelProperty(value = "最新解锁时间")
    private Date unLockTime;

    @ApiModelProperty("完成状态 0:连载中，1已完结")
    private Integer overed;
    
    @ApiModelProperty(value = "完成百分比")
    private Integer percent;
    
    @ApiModelProperty(value = "更新标识")
    private Integer isNew;

    @ApiModelProperty(value = "已完结状态下；课程数量")
    private Integer courseNum;
}
