package com.yizhi.album.application;

import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.album.application.controller.remote.AlbumController;
import com.yizhi.album.application.vo.ApiListAlbumVo;
import com.yizhi.album.application.vo.ApiSearchAlbumVo;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@SpringBootTest
@RunWith(SpringRunner.class)
public class AlbumTest {

    @Autowired
    AlbumController albumController;

    @Test
    public void albumSearchPageTest(){
        ApiSearchAlbumVo vo = new ApiSearchAlbumVo();
        vo.setAccountId(1314L);
        vo.setCompanyId(1314L);
        vo.setPageNo(1);
        vo.setPageSize(30);
        vo.setSiteId(1314L);

        Page<ApiListAlbumVo> apiListAlbumVoPage = albumController.searchPage(vo);
        System.out.println(apiListAlbumVoPage);
    }

    //getMySubscribePage

    @Test
    public void getMySubscribePageTest(){
        ApiSearchAlbumVo vo = new ApiSearchAlbumVo();
        vo.setAccountId(1314L);
        vo.setCompanyId(1314L);
        vo.setPageNo(1);
        vo.setPageSize(30);
        vo.setSiteId(1314L);
        vo.setIds(Arrays.asList(1216607438212452352L,1216926258238672896L));
        Page<ApiListAlbumVo> apiListAlbumVoPage = albumController.getMySubscribePage(vo);
        System.out.println(apiListAlbumVoPage);
    }


    @Test
    public void getPortalListTest(){
        ArrayList<Long> longs = new ArrayList<>();
        longs.add(1217276859183267840L);
        List<ApiListAlbumVo> portalList = albumController.getPortalList(longs);
        System.out.println();
    }
}
