package com.yizhi.album.application.feign;

import com.yizhi.album.application.vo.domain.AlThemeActivity;
import com.yizhi.album.application.vo.AlbumVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@FeignClient(name = "album", contextId = "AlThemeActivityClient")
public interface AlThemeActivityClient {

    @PostMapping("/remote/alThemeActivity/save")
    public Boolean sava(@RequestBody AlbumVo vo);

    @GetMapping("/remote/alThemeActivity/delete")
    public Boolean delete(@RequestParam(name = "id") Long id);

    @PostMapping("/remote/alThemeActivity/sortActivity")
    public Boolean sortActivity(@RequestBody List<AlThemeActivity> list);

    @PostMapping("/remote/alThemeActivity/unLock")
    public Boolean unLock(@RequestBody AlThemeActivity activity);

    @GetMapping("/remote/alThemeActivity/list")
    public AlbumVo list(@RequestParam(name = "albumId") Long albumId);
}
