package com.yizhi.album.application.vo.domain;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 专辑 - 主题
 * </p>
 *
 * @author hc123
 * @since 2019-12-30
 */
@Data
@ApiModel(value = "AlTheme", description = "专辑 - 主题")

public class AlTheme {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
	private Long id;

    @ApiModelProperty(value = "所属专辑id")
	
	private Long albumId;

    @ApiModelProperty(value = "主题名称")
	private String name;

    @ApiModelProperty(value = "排序")
	private Integer sort;

    @ApiModelProperty(value = "是否删除（1是，0否），默认否")
	private Integer deleted;

    @ApiModelProperty(value = "创建者id")
	
	private Long createById;

    @ApiModelProperty(value = "创建者名称")
	
	private String createByName;

    @ApiModelProperty(value = "创建时间")
	
	private Date createTime;

    @ApiModelProperty(value = "更新者id")
	
	private Long updateById;

    @ApiModelProperty(value = "修改者名称")
	
	private String updateByName;

    @ApiModelProperty(value = "修改时间")
	
	private Date updateTime;

    @ApiModelProperty(value = "站点id")
	
	private Long siteId;

    @ApiModelProperty(value = "组织id")
	
	private Long orgId;

    @ApiModelProperty(value = "企业id")
	
	private Long companyId;



}
