package com.yizhi.album.application.vo.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 专辑分类策略
 * </p>
 *
 * @author hc123
 * @since 2019-12-30
 */
@Data
@ApiModel(value = "ClassifyStrategy", description = "专辑分类策略")

public class ClassifyStrategy {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
	private Long id;

    @ApiModelProperty(value = "策略类型 0平铺式 1展开式 默认平铺式")
	private Integer type;

    @ApiModelProperty(value = "状态")
	private Integer status;

	
	private Long createById;

	
	private String createByName;

	
	private Date createTime;

	
	private Long updateById;

	
	private String updateByName;

	
	private Date updateTime;

	
	private Long companyId;

	
	private Long siteId;



}
