package com.yizhi.album.application.event;


import com.yizhi.core.application.event.EventWrapper;
import com.yizhi.util.application.constant.QueueConstant;
import com.yizhi.util.application.event.TrainingProjectEvent;
import org.springframework.amqp.rabbit.annotation.RabbitHandler;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
@RabbitListener(queues = QueueConstant.ALBUM_EVENT_QUEUE)
public class AlEventListener {

    @Autowired
    private AlEventHandler alEventHandler;

    @RabbitHandler
    public void processBizEvent(EventWrapper<TrainingProjectEvent> ew) {
    	alEventHandler.handle(ew);
    }

}
