package com.yizhi.album.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.album.application.domain.AlThemeActivity;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 主题中的课程 Mapper 接口
 * </p>
 *
 * @author hc123
 * @since 2019-12-30
 */
public interface AlThemeActivityMapper extends BaseMapper<AlThemeActivity> {

	Integer maxSort(@Param(value = "themeId")Long themeId,@Param(value = "siteId")Long siteId);
	
	List<AlThemeActivity> list(@Param(value = "themeId")Long themeId,@Param(value = "type")Integer type);

    List<Long> getIdsByActivityId(@Param("activityId") Long activityId, @Param("siteId") Long siteId);
}
